##
##  smb.conf -- Samba Configuration
##

#   global parameters
[global]
    workgroup            = WORKGROUP
    netbios name         = @l_hostname@
    server string        = @l_hostname@@l_domainname@ (Samba %v)
    bind interfaces only = yes
    interfaces           = 127.0.0.1/255.0.0.0
    hosts allow          = 127.0.0.1/255.0.0.0 192.168.0.0/255.255.255.0 *@l_domainname@
    smb passwd file      = @l_prefix@/etc/samba/smb.passwd
    pid directory        = @l_prefix@/var/samba/run
    lock directory       = @l_prefix@/var/samba/run/locks
    security             = user
    encrypt passwords    = yes
    printing             = bsd
    printcap name        = /etc/printcap
    load printers        = yes
    invalid users        = root
    map to guest         = Bad User
    guest account        = nobody
    null passwords       = no
    passdb backend       = smbpasswd
    socket options       = TCP_NODELAY
    case sensitive       = no
    default case         = lower
    preserve case        = yes
    short preserve case  = yes
    dead time            = 0
    debug level          = 0
    getwd cache          = yes
    wide links           = yes
    log level            = 1
    os level             = 64
    preferred master     = no
    domain master        = no
    domain logons        = no
    local master         = yes
    time server          = yes
    wins support         = no
    logon path           = \\%N\profiles\%u
    logon drive          = U:
    logon home           = \\%N\%u
    logon script         = logon.cmd
    use client driver    = yes

#   magic share for logons
[netlogon]
    path                 = @l_prefix@/var/samba/netlogon
    browseable           = no
    guest ok             = no
    read only            = yes

#   magic share for profiles
[profiles]
    path                 = @l_prefix@/var/samba/profiles
    browseable           = no
    guest ok             = no
    read only            = no

#   magic share for all user home directories
[homes]
    comment              = Home Directories
    browseable           = yes
    guest ok             = no
    read only            = no
    create mask          = 0755
    force create mode    = 0600
    directory mask       = 0755
    force directory mode = 0700
    map archive          = no

#   magic share for all printers
[printers]
    comment              = System Printers
    path                 = @l_prefix@/var/samba/spool
    browseable           = yes
    guest ok             = yes
    read only            = yes
    printable            = yes
    create mask          = 0700

#   custom share, usable by all users
[tmp]
    comment              = Public
    path                 = /tmp
    browseable           = yes
    guest ok             = yes
    read only            = no
    force group          = nobody
    create mask          = 0755
    force create mode    = 0600
    directory mask       = 0755
    force directory mode = 0700

